//+------------------------------------------+
//|                       BREW_ATR_Bands.mq4 |
//+------------------------------------------+
#property  copyright "Copyright  2010, Brewmanz"
#property link      "http://www.metaquotes.net/"

#property indicator_chart_window
#property indicator_buffers 1
#property indicator_color1 Blue
#property indicator_style1 STYLE_SOLID
//---- input parameters
extern int MaPeriod=18;
extern int StepSizePercent=100;
extern int Price_0COHLMedTypWgt6=PRICE_CLOSE;
extern int MaMode_0SmaEmaSmmaLwma3=MODE_EMA;
extern int AtrPeriod=100;
//---- display buffers
double MaBuff[];
//+------------------------------------------------------------------+
int init()
{
   string short_name;
   IndicatorDigits(Digits);
//---- 1 additional buffer used for counting.
   IndicatorBuffers(1);
//---- indicator line
   SetIndexStyle( 0,DRAW_LINE, indicator_style1, indicator_color1);
   SetIndexBuffer(0,MaBuff);
//---- name for DataWindow and indicator subwindow label
   short_name="ATRBands(";//+AtrPeriod+","+MaPeriod+","+StepSizePercent+"%)";
   IndicatorShortName(short_name);
   SetIndexLabel(0,"ATR");//+AtrPeriod+",MA"+MaPeriod);
//----
   SetIndexDrawBegin(0,MaPeriod);
//----
   return(0);
}
//+------------------------------------------------------------------+
int start()
{
   int ix,ixLimit,counted_bars=IndicatorCounted();
//----
   if(counted_bars>0)counted_bars--;
   ixLimit = Bars-counted_bars-1;
//----
   for(ix=ixLimit;ix>=0;ix--)
   {
      double ma = iMA(NULL, 0, MaPeriod, 0, MaMode_0SmaEmaSmmaLwma3, Price_0COHLMedTypWgt6, ix);
      MaBuff[ix] = ma;
   }
//----
   return(0);
}
//+------------------------------------------------------------------+